# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'creative_rails_utilities/version'

Gem::Specification.new do |spec|
  spec.required_ruby_version = '>= 2.1'
  spec.name          = "creative_rails_utilities"
  spec.version       = CreativeRailsUtilities::VERSION
  spec.authors       = ["Creative"]
  spec.email         = ["hi@creative.gs"]

  spec.summary       = %q|Creative's assorted hacks, fixes and monkeypatches to Ruby and Rails base classes|
  spec.description   = %q|Creative's assorted hacks, fixes and monkeypatches to Ruby and Rails base classes|
  spec.homepage      = "https://github.com/CreativePublisher/creative_rails_utilities"
  spec.license       = "MIT"
  spec.date          = "2018-06-15"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "activesupport", ">= 3"
  spec.add_dependency "ranger"
  spec.add_dependency "hashrush"#, "~> 2.0.0"
  spec.add_dependency "ruby_dig" # provides hash and array .dig before 2.3

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency 'simplecov'
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.3.0"
  spec.add_development_dependency "timecop"
  spec.add_development_dependency "pry"
end
